const path = require('path')

function resolve(dir) {
  return path.join(__dirname, dir)
}

var prodEnv = require('./config/prod.env');  // 生产环境
var devEnv = require('./config/dev.env');  // 开发环境
var localEnv = require('./config/local.env');  // 本地环境
//const env = process.env.NODE_ENV;
const argv = JSON.parse(process.env.npm_config_argv);


// 获取自定义参数
const env = argv.cooked[1];

var devServer = null;

if(env === "dev"){
  console.log("启动测试环境");
  devServer = devEnv.devServer;
}else if(env === "local"){
  console.log("启动本地环境");
  devServer = localEnv.devServer;
}else{
    devServer = prodEnv.devServer;
}

// vue.config.js
module.exports = {
  publicPath:"./",
  // 如果你不需要生产环境的 source map，可以将其设置为 false 以加速生产环境构建。
  productionSourceMap: false,
  configureWebpack: {},

  chainWebpack: (config) => {
    config.resolve.alias
      .set('@$', resolve('src'))
      .set('@api', resolve('src/api'))
      .set('@assets', resolve('src/assets'))
      .set('@comp', resolve('src/components'))
      .set('@views', resolve('src/views'))
      .set('@layout', resolve('src/layout'))
      .set('@static', resolve('src/static'))
  },

  css: {
    loaderOptions: {
      less: {
        modifyVars: {
          /* less 变量覆盖，用于自定义 ant design 主题 */

          /*
          'primary-color': '#F5222D',
          'link-color': '#F5222D',
          'border-radius-base': '4px',
          */
        },
        javascriptEnabled: true,
      }
    }
  },

  devServer: devServer,

  lintOnSave: undefined
}
